// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2022 Florian Schmaus
#include "AbstractFiber.hpp"

auto operator<<(std::ostream& strm, const AbstractFiber& fiber) -> std::ostream& {
	fiber.printTo(strm, false);
	return strm;
}

auto operator<<=(std::ostream& strm, const AbstractFiber& fiber) -> std::ostream& {
	fiber.printTo(strm, true);
	return strm;
}
