// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Fischer
#include "WakeupStrategy.hpp"

namespace emper {
// TODO: maybe we want to pass this information through the dispatch loop.
// If we are waking up we can skip trying our local work stealing queue as
// an optimization and would save the rather expensive tls
thread_local bool WakeupStrategy::isWaking = false;
}	 // namespace emper
