// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2022 Florian Schmaus
#pragma once

#include <cstdint>
#include <ostream>
#include <string>

namespace emper::lib::util {

auto bytesToHumanReadableString(uintptr_t bytes) -> std::string;

void writeByteStats(uintptr_t bytes, std::ostream& out);

void writeByteStats(const std::string&& name, uintptr_t bytes, std::ostream& out);

}	 // namespace emper::lib::util
