// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Fischer
#include "CallerEnvironment.hpp"

#include <iostream>

#include "Common.hpp"

auto operator<<(std::ostream& os, const CallerEnvironment& callerEnvironment) -> std::ostream& {
	switch (callerEnvironment) {
		case OWNER:
			return os << "OWNER";
		case EMPER:
			return os << "EMPER";
		case ANYWHERE:
			return os << "ANYWHERE";
		default:
			DIE_MSG("Unknown CallerEnvironment");
	}
}
