// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2022 Florian Schmaus
#pragma once

#include "emper-config.h"

#ifdef EMPER_LIB_ADT_WSQUEUE_INCLUDE_LOCKED_QUEUE
#include "lib/adt/LockedQueue.hpp"
#endif

#ifdef EMPER_LIB_ADT_WSQUEUE_INCLUDE_CL_QUEUE
#include "lib/adt/WsClQueue.hpp"
#endif

#ifdef EMPER_LIB_ADT_WSQUEUE_INCLUDE_CL2_QUEUE
#include "lib/adt/WsClV2Queue.hpp"
#endif

namespace lib::adt::wsqueue {

template <typename PAYLOAD, const uintptr_t CAPACITY>
using Default = EMPER_WS_QUEUE_DEFAULT_TYPE<PAYLOAD, CAPACITY>;

template <typename PAYLOAD, const uintptr_t CAPACITY>
using Scheduler = EMPER_WS_QUEUE_SCHEDULER_TYPE<PAYLOAD, CAPACITY>;

}	 // namespace lib::adt::wsqueue
