// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2020-2021 Florian Schmaus, Florian Fischer
#pragma once

#include <string>

namespace emper::log {
void log(const std::string& prefix, const std::string& message);

static inline void log_no_prefix(const std::string& message) { log("", message); }
}	 // namespace emper::log
